# DataExchange
TKIGES
IGESSolid

# IGESSolid_ConicalSurface Class Reference

defines ConicalSurface, Type <194> Form Number <0,1>
in package IGESSolid
The right circular conical surface is defined by a
point on the axis on the cone, the direction of the axis
of the cone, the radius of the cone at the axis point and
the cone semi-angle.

`#include <IGESSolid_ConicalSurface.hxx>`

Inheritance diagram for IGESSolid_ConicalSurface:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSolid_ConicalSurface ()
Standard_EXPORT void | Init (const Handle(IGESGeom_Point)&aLocation, const Handle(IGESGeom_Direction)&anAxis, const Standard_Real aRadius, const Standard_Real anAngle, const Handle(IGESGeom_Direction)&aRefdir)
| This method is used to set the fields of the class ConicalSurface - aLocation : Location of the point on axis - anAxis : Direction of the axis - aRadius : Radius at axis point - anAngle : Value of semi-angle in degrees (0<angle<90) - aRefdir : Reference direction (parametrised surface) Null if unparametrised surface. .
Standard_EXPORT Handle_IGESGeom_Point | LocationPoint () const
| returns the location of the point on the axis
Standard_EXPORT Handle_IGESGeom_Direction | Axis () const
| returns the direction of the axis
Standard_EXPORT Standard_Real | Radius () const
| returns the radius at the axis point
Standard_EXPORT Standard_Real | SemiAngle () const
| returns the semi-angle value
Standard_EXPORT Handle_IGESGeom_Direction | ReferenceDir () const
| returns the reference direction of the conical surface in case of parametrised surface. For unparametrised surface it returns NULL.
Standard_EXPORT Standard_Boolean | IsParametrised () const
| returns True if Form no is 1 else false
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_IGESGeom_Point | theLocationPoint
Handle_IGESGeom_Direction | theAxis
Standard_Real | theRadius
Standard_Real | theAngle
Handle_IGESGeom_Direction | theRefDir

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_ConicalSurface::IGESSolid_ConicalSurface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESGeom_Direction IGESSolid_ConicalSurface::Axis | ( |  | ) | const

Standard_EXPORT const IGESSolid_ConicalSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESSolid_ConicalSurface::Init | ( | const Handle(IGESGeom_Point)& | aLocation,
|  | const Handle(IGESGeom_Direction)& | anAxis,
|  | const Standard_Real | aRadius,
|  | const Standard_Real | anAngle,
|  | const Handle(IGESGeom_Direction)& | aRefdir
| ) |

Standard_EXPORT Standard_Boolean IGESSolid_ConicalSurface::IsParametrised | ( |  | ) | const

Standard_EXPORT Handle_IGESGeom_Point IGESSolid_ConicalSurface::LocationPoint | ( |  | ) | const

Standard_EXPORT Standard_Real IGESSolid_ConicalSurface::Radius | ( |  | ) | const

Standard_EXPORT Handle_IGESGeom_Direction IGESSolid_ConicalSurface::ReferenceDir | ( |  | ) | const

Standard_EXPORT Standard_Real IGESSolid_ConicalSurface::SemiAngle | ( |  | ) | const

## Field Documentation

Standard_Real IGESSolid_ConicalSurface::theAngle `[private]`

Handle_IGESGeom_Direction IGESSolid_ConicalSurface::theAxis `[private]`

Handle_IGESGeom_Point IGESSolid_ConicalSurface::theLocationPoint `[private]`

Standard_Real IGESSolid_ConicalSurface::theRadius `[private]`

Handle_IGESGeom_Direction IGESSolid_ConicalSurface::theRefDir `[private]`

The documentation for this class was generated from the following file:

- IGESSolid_ConicalSurface.hxx